%define anolis_release 1

Summary:        Library to create ISO 9660 disk images
Name:           libisofs
Version:        1.5.4
Release:        %{anolis_release}%{?dist}
# make_isohybrid_mbr.c is under LGPLv2+, the rest under GPLv2+
License:        GPLv2+ and LGPLv2+
URL:            https://libburnia-project.org/
Source0:        https://files.libburnia-project.org/releases/%{name}-%{version}.tar.gz
Patch0:         libisofs-1.5.4-rpath.patch
BuildRequires:  gcc, make, libacl-devel, zlib-devel

%description
Libisofs is a library to create an ISO-9660 filesystem and supports
extensions like RockRidge or Joliet. It is also a full featured
ISO-9660 editor, allowing you to modify an ISO image or multisession
disc, including file addition or removal, change of file names and
attributes etc. It supports the extension AAIP which allows to store
ACLs and xattr in ISO-9660 filesystems as well. As it is linked with
zlib, it supports zisofs compression, too.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
BuildArch:      noarch
BuildRequires:  doxygen, graphviz

%description doc
Libisofs is a library to create an ISO-9660 filesystem and supports
extensions like RockRidge or Joliet. This package contains the API
documentation for developing applications that use %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static
%make_build
doxygen doc/doxygen.conf

%install
%make_install

# Clean up for later usage in documentation
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}

%generate_compatibility_deps

%files
%license COPYING COPYRIGHT
%doc AUTHORS README
%{_libdir}/%{name}*.so.*
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}*.pc

%files doc
%doc doc/html/
%doc AUTHORS README

%changelog
* Wed Mar 15 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5.4-1
- init from upstream
